# All files / src/generators objectProjection.js

100% Statements 2/2
50% Branches 1/2
100% Functions 2/2
100% Lines 2/2

Press n or j to go to the next uncovered block, b, p or k for the previous block.

    1
    2
    3
    4
    5
    6
    7
    8
    9
    10
    11
    12

    18x

    18x

     // @flow

    import type { ObjectProjectionNodeType, GeneratedCodeType, NodeType } from '../types'

    export default (
      Generator: NodeType => GeneratedCodeType
    ): (ObjectProjectionNodeType => GeneratedCodeType) => ({
      value
    }: ObjectProjectionNodeType): GeneratedCodeType =>
      `_.__objectProjection__(${Generator(value.left)}, ${JSON.stringify(
        value.right)}, ${value.optional ? 'true' : 'false'}, _)`